> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/tweenbase.md).

# TweenBase

TweenBase : `Instance`

## Overview

The parent class for tween Objects created by the TweenService:Create() method

## Properties

### PlaybackState

`Enum.PlaybackState`

The current state of the tween (read-only).

#### Code Samples

```lua
print(Tween.PlaybackState)
```

## Methods

## Events

### Completed

Runs when the tween completes its playback or is stopped by Cancel().

Passes the reason for tween termination to the connected function.

#### Parameters

| `Enum.PlaybackState` playbackState | The state of the tween upon termination |
| ---------------------------------- | --------------------------------------- |

#### Code Samples

```lua
local function OnCompleted(playbackState)
    print("Tween Complete!", playbackState)
end
Tween.Completed:Connect(OnCompleted)
```

## See also

{% content-ref url="/pages/4JBNRup7TObw0lJtb37Y" %}
[Tween](/manual/script-manual/advanced-gameplay-systems/tween.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/tweenbase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
